/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.builtu.mime;

import java.io.IOException;
import java.io.InputStream;

import junit.framework.Assert;

import org.builtu.mime.MimeUtil;
import org.builtu.util.commutil.IOUtil;
import org.junit.Test;



/**
 *
 * @author zipp
 */
public class TestMimeUtils {

    @Test public void testMimeUtil() throws IOException{
    	final InputStream in = this.getClass().getResourceAsStream("/test.jpg");
    	final byte [] data;
    	try {
    		data = IOUtil.readRaw(in);
    	} finally {
    		in.close();
    	}
    	Assert.assertEquals("image/jpeg", MimeUtil.getMimeType(data));
    }
}
